import { Directive, HostListener } from '@angular/core';

@Directive({
  selector: '[appSidemenuToggle]'
})
export class SidemenuToggleDirective {
  private body: any = document.body;
  constructor() { }

  @HostListener('click') toggleSidemenu() {
    this.body.classList.toggle('sidenav-toggled');
  }
}
